Bug 1775616 - [GCE] Always any selected image type is being selected as f1-micro.
Summary: [GCE] Always any selected image type is being selected as f1-micro.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.7.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1721890
TreeView+ depends on / blocked
 
Reported: 2019-11-22 12:32 UTC by Kavita
Modified: 2020-04-14 13:27 UTC (History)
2 users (show)

Fixed In Version: foreman-1.24.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28130 Normal Closed [GCE] Always any selected image type is being selected as f1-micro. 2020-03-04 17:53:43 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description Kavita 2019-11-22 12:32:17 UTC

Description:
-------------------
GCE hammer always selects f1-micro image type regardless of requested image type,

How Reproducible:
-------------------
Always

Steps:
-------------------
1. Provision a GCE host from a hammer with the image anything other than f1-micro type.
# hammer host create --architecture-id 1 --build true --compute-attributes 'machine_type=n1-standard-2, network=default, associate_external_ip=true' --compute-resource-id 1 --domain-id 1 --image-id 1 --operatingsystem-id 1 --provision-method image --puppet-ca-proxy-id 1 --puppet-environment-id 1 --puppet-proxy-id  1 --root-password changeme --volume 'size_gb=13, size_gb=11' --location-id 2 --organization-id 1 --name gcePlus1

Actual Behavior:
-------------------
1. The GCE Host is provisioned but the image type in provisioned is f1-micro always.


Expected Behavior:
--------------------
1. The GCE host should be provisioned with the requested image type in the hammer command.

Comment 1 Kavita 2019-11-22 12:32:24 UTC
Created from redmine issue https://projects.theforeman.org/issues/28130

Comment 2 Kavita 2019-11-22 12:32:28 UTC
Upstream bug assigned to None

Comment 4 Bryan Kearney 2019-11-22 13:07:16 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 5 Bryan Kearney 2019-12-11 01:05:19 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28130 has been resolved.

Comment 6 Jitendra Yejare 2020-01-17 06:37:51 UTC
Verified!

@Satellite 6.7 snap 8


Steps:
---------------
1. Provision a GCE host from a hammer with the image anything other than f1-micro type.
# hammer host create --architecture-id 1 --build true --compute-attributes 'machine_type=n1-standard-2, network=default, associate_external_ip=true' --compute-resource-id 1 --domain-id 1 --image-id 1 --operatingsystem-id 1 --provision-method image --puppet-ca-proxy-id 1 --puppet-environment-id 1 --puppet-proxy-id  1 --root-password changeme --volume 'size_gb=13, size_gb=11' --location-id 2 --organization-id 1 --name gcePlus1


Behavior:
-------------------
The GCE Host is provisioned with the given machine type.

Comment 9 errata-xmlrpc 2020-04-14 13:27:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.